Bug 111655 - segfault during compilation, gcc 3.2.2-1
segfault during compilation, gcc 3.2.2-1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-07 19:39 EST by Vladimir Vukicevic
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 03:37:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source code for bug (799.47 KB, text/plain)
2003-12-07 19:40 EST, Vladimir Vukicevic
no flags Details
unpreprocessed test case (1.87 KB, text/plain)
2004-10-04 03:34 EDT, Richard Henderson
no flags Details

  None (edit)
Description Vladimir Vukicevic 2003-12-07 19:39:16 EST
gcc-3.3.2-1 rpm

Preprocessed source attached.  Reproduce with "g++ gppbug.cpp -lstdc++"
Comment 1 Vladimir Vukicevic 2003-12-07 19:40:27 EST
Created attachment 96391 [details]
source code for bug
Comment 2 Richard Henderson 2004-10-04 03:34:57 EDT
Created attachment 104705 [details]
unpreprocessed test case

Lift out standard headers so that I can try building with gcc 3.4.
Comment 3 Richard Henderson 2004-10-04 03:37:55 EDT
The test case is buggy.  The primary error is

z.c:52: error: template argument required for `class CommandArgument'

which is

PrinterCommand (std::vector<class CommandArgument> args) : ...

Gcc 3.4 gives the proper error message for this.

Note You need to log in before you can comment on or make changes to this bug.